﻿@model IEnumerable<Proyecto_SGPF.Models.Productos>

@{
    ViewBag.Title = "ListarPastelesAgregado";
}

@Html.Partial("_Menu")
<head>
    <link rel="stylesheet" href="~/Content/StyleSheet1.css" type="text/css">
</head>
<body id="ll">
    <h2>Detalle de Venta de @ViewBag.ClienteVenta</h2>

    <p>
        @Html.ActionLink("Regresar a listado de Pasteles", "ListadoPastel")
    </p>
    <table class="table">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Nombre)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Tamanio)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Pisos)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Ingredientes)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Precio)
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Nombre)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Tamanio)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Pisos)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Ingredientes)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Precio)
                </td>
                <td>
                    @Html.ActionLink("Quitar de la lista", "ListarPastelesAgregado", new { id = item.IdProducto })
                </td>
            </tr>
        }

    </table>

    @using (Html.BeginForm("Comprar", "Ventas", FormMethod.Post))
    {
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModalLive">
                    Terminar
                </button>
            </div>
        </div>

        <div id="exampleModalLive" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="exampleModalLiveLabel" style="display: none;" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLiveLabel">Total</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p>Su total a pagar es de $@ViewBag.Total, ¿Esta de acuerdo?</p>
                    </div>
                    <div class="modal-footer">
                        <input type="submit" value="Sí" class="btn btn-info" />
                        <button type="button" class="btn btn-danger" data-dismiss="modal">No</button>
                    </div>
                </div>
            </div>
        </div>
    }
    <br />
    @using (Html.BeginForm("CancelarVenta", "Ventas", FormMethod.Post))
    {
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Cancelar" class="btn btn-danger" />
            </div>
        </div>
    }


    </body>

